Skip to main content
GET
/
scheduler
/
schedules
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "creatorType": "<string>",
    "creatorId": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "startTime": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z",
    "repeatUnit": "MILLISECOND",
    "interval": 123,
    "active": false,
    "callParams": {
      "uri": "<string>",
      "method": "GET",
      "queryParams": {},
      "headers": {},
      "entity": {}
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

creatorType
string

The type of user that created the schedule

creatorId
string

The ID of the user that created the schedule

Response

200 - application/json

successful operation

id
string
creatorType
string
creatorId
string
createTime
string<date-time>
startTime
string<date-time>
endTime
string<date-time>
repeatUnit
enum<string>
Available options:
MILLISECOND,
SECOND,
MINUTE,
HOUR,
DAY,
WEEK,
MONTH
interval
integer<int32>
active
boolean
default:false
callParams
object